Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 232646

Summary: Text invisible on dark background
Product: java Reporter: venkatramakkineni <venkatramakkineni>
Component: NavigationAssignee: Tomas Zezula <tzezula>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: jhavlin, saubrecht, venkatramakkineni
Version: 7.3   
Target Milestone: 7.4   
Hardware: PC   
OS: Linux   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: Image showing the text being invisible
Screenshot Dark Nimbus
Screenshot Dark Metal

Description venkatramakkineni 2013-07-13 05:31:44 UTC
Created attachment 137064 [details]
Image showing the text being invisible

On a darker Look and feel, some of the text in the navigation panel becomes invisible as the font color and background color are the same. There should be a way to customize this font color. After looking around for this key for months I have now resigned to a conclusion that this is not exposed. This key should be exposed to better support look and feels. 

I am looking for some help in finding this UIDefaults key that will change this. Also the line of code where this is done will help me a lot. Any help is sincerely appreciated. Please look at the image to see that the text is invisible.

I am including a couple of people who have helped me in the past.
Comment 1 venkatramakkineni 2013-07-13 20:32:55 UTC
Update: I think this font color might be java.navigation module. But I noticed that the trail dissappears into a class called FontColorSettings.java. I tried modifying the Fonts and Colors in the Options Window. But nothing changed.
Comment 3 Tomas Zezula 2013-07-18 09:53:18 UTC
Created attachment 137360 [details]
Screenshot Dark Nimbus
Comment 4 Tomas Zezula 2013-07-18 09:54:06 UTC
Created attachment 137361 [details]
Screenshot Dark Metal
Comment 5 Tomas Zezula 2013-07-18 11:03:50 UTC
Works fine with both Dark Metal and Dark Nimbus in NB 7.4 (dev), see attached screenshots.
In NetBeans 7.4 when the colour is similar to background it's shifted by the HTML renderer it's reason why the Dark Metal and Dark Nimbus work fine. It should work even with your L&F unless you set nb.useSwingHtmlRendering=true. If so I can define and use some constants for UIManager.
The constants will be:

nb.navigator.type.color
nb.navigator.inherited.color
Comment 6 Tomas Zezula 2013-07-18 18:53:05 UTC
Added constants as described in comment #5.
jet-main df164171ccf2
Comment 7 venkatramakkineni 2013-07-18 18:58:27 UTC
Thanks Tomas, I have been looking for this for nearly a year now. It will improve the usability of ez-on-da-ice plugin quite a bit.
Comment 8 venkatramakkineni 2013-07-18 19:04:54 UTC
Oh yeah, I owe you a beer the next time I see you for helping me with this issue :).
Comment 9 Quality Engineering 2013-07-20 02:13:51 UTC
Integrated into 'main-silver', will be available in build *201307192300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/df164171ccf2
User: Tomas Zezula <tzezula@netbeans.org>
Log: #232646:Text invisible on dark background
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo